<template>
  <header id="header">
    <nav id="nav-global" class="navbar rwth-black navbar-dark navbar-expand-md">
      <div class="app-header-container">
        <div id="DeltaSiteLogo">
          <a
            id="ctl00_onetidProjectPropertyTitleGraphic"
            title="Team Site"
            class="ms-siteicon-a coscineSiteIcon"
            href="/"
          >
            <img
              id="ctl00_onetidHeadbnnr2"
              class="ms-siteicon-img"
              name="onetidHeadbnnr0"
              :src="coscineImage"
              alt="Coscine"
              data-themekey="#"
            />
          </a>
        </div>
      </div>
      <ul id="nav-langsearch" class="navbar-nav ml-auto">
        <li
          id="langToggle"
          class="next-lang"
          tabindex="0"
          aria-label="toggle language"
        >
          <a
            class="nav-link lang"
            href="#"
            id="Lang"
            v-on:click="changeLocale()"
          >
            <span id="langBox" class="language-box">{{
              this.locale === "en" ? "De" : "En"
            }}</span>
          </a>
        </li>
      </ul>
      <div>
        <b-dropdown
          id="helpDropdown"
          text="?"
          class="dropdown noHover"
          variant="dark"
        >
          <b-dropdown-item href="https://docs.coscine.de/de/">
            Help
          </b-dropdown-item>
          <b-dropdown-item
            href="https://git.rwth-aachen.de/coscine/docs/public/terms/-/blob/master/PrivacyPolicy.md"
          >
            Disclaimer
          </b-dropdown-item>
          <b-dropdown-item href="https://www.coscine.de/imprint/">
            Imprint
          </b-dropdown-item>
        </b-dropdown>
      </div>
    </nav>
  </header>
</template>

<script lang="ts">
import Vue from "vue";
export default Vue.extend({
  name: "CoscineHeader",
  props: {
    coscineImage: String,
    dropdown: {
      default: false,
    },
    locale: {
      default: "en",
      type: String,
    },
  },
  methods: {
    changeLocale() {
      if (this.locale === "en") {
        this.$set(this, "locale", "de");
      } else {
        this.$set(this, "locale", "en");
      }
      this.$emit("changeLocale");
    },
  },
});
</script>

<style scoped></style>

<style>
#header {
  width: 100%;
}
#header .navbar {
  max-width: 100%;
}

.navbar .lang {
  padding-top: 0.5rem !important;
}

.noHover {
  background-color: transparent !important;
}

.siteIcon {
  height: 0px;
  width: 0px;
  overflow: visible;
  margin-left: 150px;
  line-height: 0px;
  margin-top: -20px;
}

.coscineSiteIcon {
  height: 0px;
  width: 0px;
  overflow: visible;
  line-height: 0px;
}

.coscineSiteIcon img {
  margin-left: 8px;
  height: 36px;
  width: 36px;
}

.coscineSiteIcon img {
  margin-left: 8px;
  height: 36px;
  width: 36px;
}

.coscineSiteIconLabel {
  margin-left: 8px;
  vertical-align: middle;
  color: white;
  font-size: 22px;
}

.navbar .app-header-container a img.ms-siteicon-img {
  border: 0px;
  margin-left: 8px;
  margin-top: -1.2em;
  width: 60px;
}

.headline {
  text-align: left;
  padding-left: 0.4em;
  margin-bottom: 1em;
}
</style>
